Bug 222012

Summary: Yum update problem
Product: Red Hat Enterprise Linux 5 Reporter: Bill Sigmund <bsigmund>
Component: yumAssignee: Jeremy Katz <katzj>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 5.0CC: bsigmund, greatest.cat
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
URL: http://www.archcoal.com
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-25 15:05:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bill Sigmund 2007-01-09 11:30:24 EST
Description of problem: After running a yum update and a reboot, when I try to
run yum I get the error below -
Code
# yum
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   No module named cElementTree

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.3 (#1, Oct  1 2006, 18:00:19) 
[GCC 4.1.1 20060928 (Red Hat 4.1.1-28)]

If you cannot solve this problem yourself, please go to 
the yum faq at:
  http://wiki.linux.duke.edu/YumFaq
code


Version-Release number of selected component (if applicable):


How reproducible: Running yum


Steps to Reproduce:
1. Open terminal
2. yum
3.
  
Actual results:

# yum
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   No module named cElementTree

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.3 (#1, Oct  1 2006, 18:00:19) 
[GCC 4.1.1 20060928 (Red Hat 4.1.1-28)]

If you cannot solve this problem yourself, please go to 
the yum faq at:
  http://wiki.linux.duke.edu/YumFaq

Expected results: Yum should run


Additional info:
Comment 1 Bill Sigmund 2007-01-09 12:11:56 EST
Fixed it by updating the pyton-elementtree package with an older version using 
the rpm --force --upgrade option. Yum updated the package that broke itself.  
The broken version was python-elementtree-1.2.6-7.el4.rf:0 and the fix 
package, ie, older package was pyton-elementtree-1.2.6-5.
Comment 2 Jeremy Katz 2007-01-09 13:54:42 EST
Where did you get the python-elementtree-1.2.6-7.el4.rf package from?  That's
not something we ship and is likely broken somehow
Comment 3 Jeremy Katz 2007-04-25 15:05:28 EDT
Closing due to inactivity; please reopen if youhave further information
Comment 4 Oleg 2014-06-11 12:19:26 EDT
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by wine-gecko-1.9-1.nodist.rf.i386
rpmlib(PayloadIsXz) is needed by wine-gecko-1.9-1.nodist.rf.i386